List Messages
curl --request GET \
--url https://api.example.com/api/v1/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"conversation_id": "<string>",
"sender_id": "<string>",
"content": "<string>",
"workspace_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"id": "<string>",
"role": "user",
"tool_calls": [
{}
],
"message_type": "text",
"tags": [
"<string>"
],
"checksum": "<string>",
"attachments": [
{}
],
"parent_message_id": "<string>",
"meta_data": {},
"sent_at": "2023-11-07T05:31:56Z",
"owner_id": "<string>"
}
],
"total_count": 123,
"page": 123,
"limit": 123,
"next_page": 123,
"next_cursor": "<string>",
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Messages
List Messages
List messages in the current workspace.
GET
/
api
/
v1
/
messages
List Messages
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Query Parameters
Filter by conversation ID
Filter by sender ID
Filter by message role
Filter by message type
Search messages by content
Filter by tags (comma-separated)
Number of messages to skip
Required range:
x >= 0Number of messages to return
Required range:
1 <= x <= 1000Field to order by
Order direction (asc/desc)